Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455343 - booty doesn't handle encrypted block devices
Summary: booty doesn't handle encrypted block devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: booty
Version: 5.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact: Alexander Todorov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 21:57 UTC by David Lehman
Modified: 2009-01-20 21:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:05:40 UTC


Attachments (Terms of Use)
teach getPhysicalDevices about luks devices, sort of (deleted)
2008-07-14 22:07 UTC, David Lehman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0138 normal SHIPPED_LIVE booty bug fix update 2009-01-20 16:05:01 UTC

Description David Lehman 2008-07-14 21:57:15 UTC
Description of problem:
If root is on an encrypted block device, booty will traceback at the end of install.

Version-Release number of selected component (if applicable):
booty-0.80.4-6

How reproducible:
Always if you encrypt the rootfs' block device.

Steps to Reproduce:
1. Run the 5.3 installer with luks bits, encrypt root device
2. wait for traceback
3.
  
Actual results:
traceback

Expected results:


Additional info:

Comment 1 David Lehman 2008-07-14 22:07:41 UTC
Created attachment 311781 [details]
teach getPhysicalDevices about luks devices, sort of

Comment 4 David Lehman 2008-07-21 22:30:59 UTC
Fixed in booty-0.80.5-1.

Comment 8 errata-xmlrpc 2009-01-20 21:05:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0138.html


Note You need to log in before you can comment on or make changes to this bug.